package simpleex.ui;

/*
@startuml
class FxAppController
class LatLongs
class BorderPane
class "ListView<LatLong>" as ListView
class "fxmapcontrol.MapBase" as MapBase

BorderPane *--> ListView: "left"
BorderPane *--> MapBase: "center"

FxAppController --> LatLongs: "latLongs"
FxAppController --> MapBase: "mapView"
FxAppController --> ListView: "locationListView"
@enduml
 */

/**
 * The controller for the rest app.
 * @author hal
 *
 */
public class FxAppControllerUsingRest extends AbstractFxAppController {

  public FxAppControllerUsingRest() {
    setDataAccess(new RestLatLongsDataAccess(getObjectMapper()));
  }
}
